Subject: bug#50950: "(emacs) Mark" should contrast to "selecting" text in other editors

From: martin rudalics <[email-masked]>
Date: Sun, 17 Oct 2021 19:44:08 +0200

> Depends on how you scroll, I guess.

Using the mouse wheel, the mouse on the scroll bar or the <prior>,
<next>, <home> or <end> keys.  I guess these are the most common ones
for people trying to find out why Emacs does not behave like other
editors or applications like Firefox.

 > Applications where "point" stays
 > put when it goes out of the viewport need to be scrolled by moving
 > "point".
 >
 > But if you have in mind the automatic movement of point when the
 > window is scrolled, then yes, it's quite unique to Emacs, but it isn't
 > about scrolling, it's about the fact that any movement of point
 > modifies the region.

It's merely about the fact that "scrolling" as sketched above may move
point and consequently alter or simply discard the "selected text".

martin